   TSelectDialog Component

See Also	Properties

Unit

SelDlg

Description

This component allows users to browse tables and queries on both enterprise databases (such as Oracle, Interbase), as well as tables that are files (such as Paradox). The data is displayed as a grid in a dialog box that is called up when the user clicks the button on the end of the control.

Specify the datasource that will provide the data for the lookup browser by using the LookupSource Property. The DisplayField property defines the field that is displayed in the edit box when the user selects an item in the browser.

The button can be customised by using the BtnCaption, BtnGlyph and NumGlyphs properties.

Before using this component, you need to define fields for the dataset. To do this, right click your mouse over the table or query, then select Fields Editor. Next, select Add and then add the fields that you would like to include in the browser. Set the displayText property of these fields to provide meaningful descriptions of the fields to the user.

The dialog includes a database navigator . Use the NavigatorButtons property to specify which buttons are visible on this navigator. Grid options can be set using the GridOptions property

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to the TEdit Component.

Note: The author is available for employment, see About TSelectDialog


Properties

About

BtnCaption

BtnGlyph

BtnHint

DialogCaption

DisplayField

GridOptions

LookupSource

NavigatorButtons

NumGlyphs


See Also

TLookupDialog Component


About TSelectDialog Property
About Property

See Also

Applies to

TSelectDialog

Declaration

property About: TAbout

Description

This property does not set any attributes of the component, it simply indicates the author, copyright, and version details.


See Also

About TSelectDialog


About TSelectDialog

See Also

TSelectDialog was written by John Stathakis (e-mail: JLSTATH@MAIL.ICON.CO.ZA)

Version: 1.00

1996, John Stathakis

You may use this product freely, however, the source code and related documentation may not be changed in any way without the written permission of the author. Please note that the author will not accept responsibility for any loss resulting from the use of this or any other component. Any code you may receive may not be distributed in any form without written permission from the author.

Please contact me if you have any enquiries or bug reports.

Note: The author is currently available for employment. Please forward enquiries in this regard to the above e-mail address. Preferred destinations in the following order: Australia, United States, United Kingdom. Other destinations will be considered.


See Also

About TSelectDialog Property


LookupSource Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property LookupSource: TDataSource

Description

The LookupSource property determines where the component obtains the data to display in the dialog browser. Specify the data source component that identifies the dataset the data for the browser is found in.

Note that if the dataset is a query, then it must be in the following form:

Select <Fields> from <Tables> where <where condition> order by <fields>

note that the where and order by clauses are optional.


See Also

LookUpField Property

DisplayField Property


BtnCaption Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property BtnCaption: string

Description

Describes the caption that is on the button.


See Also

BtnGlyph Property

NumGlyphs Property

BtnHint Property

DialogCaption Property


BtnGlyph Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property BtnGlyph: TBitmap

Description

Describes the graphic that is on the button.


See Also

BtnCaption Property

NumGlyphs Property

BtnHint Property

DialogCaption Property


BtnHint Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property BtnHint: string

Description

Describes the hint for the button. An empty string results in no hint.


See Also

BtnCaption Property

NumGlyphs Property

BtnGlyph Property

DialogCaption Property


NumGlyphs Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property NumGlyphs: TNumGlyphs

Description

Indicates the number of images that are in the graphic specified by the BtnGlyph property. See NumGlyphs in the Delphi help for more details


See Also

BtnCaption Property

BtnGlyph Property

BtnHint Property

DialogCaption Property


DialogCaption Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property DialogCaption: string

Description

Indicates the caption that appears on the dialog.


See Also

NumGlyphs Property

BtnCaption Property

BtnGlyph Property

BtnHint Property


LookupField Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property LookupField: String

Description

Defines the field that the browser displays as a default. All visible fields are included in the display combo allowing the user to view the browser hierarchy in any of them.


See Also

LookupSource Property

DisplayField Property


DisplayField Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property DisplayField: String

Description

Defines the field that is displayed in the edit control when the user selects an item and then exits from the dialog. In the data aware version of this component (TLookupDialog), this is the field of the dataset linked to the LookupSource, that describes the record currently joined to the DataSource defined by the DataSource property.

This allows the links between the two tables/queries to involve the keys only whilst a description (or some other field) is displayed in the edit part of the control.


See Also

LookupSource Property

LookUpField Property


NavigatorButtons Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property NavigatorButtons: TButtonSet

Description

Describes the buttons that are visible on the database navigator bar on the dialog. Note that if edit/insert/delete buttons are included and the LookupSource is connected to a query, then the query needs to be live.


See Also

LookupSource Property

LookUpField Property


GridOptions Property

See Also

Applies to

TSelectDialog, TLookupDialog

Declaration

property GridOptions: TDBGridOptions

Description

Describes the options on the grid of the dialog. Refer to TDBGridOptions in the Delphi help for more info.


See Also

NavigatorButtons Property


   TLookupDialog Component

Properties

Unit

SelDlg

Description

This component is a lookup version of the TSelectDialog component. TLookupDialog supports multi field joins between the LookupSource and the DataSource for the component. At the same time, the edit box displays a descriptive field (defined by DisplayField) from the LookupSource which represents the join between the two tables.

Use the Joins property to define the joins between the dataset linked to the LookupSource and the dataset linked to the DataSource Property.

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to the TSelectDialog Component.

Note: The author is available for employment, see About TLookupDialog


Properties

About

DataSource

Joins


About TLookupDialog Property
About Property

See Also

Applies to

TLookupDialog

Declaration

property About: TAbout

Description

This property does not set any attributes of the component, it simply indicates the author, copyright, and version details.


See Also

About TLookupDialog


About TLookupDialog

See Also

TLookupDialog was written by John Stathakis (e-mail: JLSTATH@MAIL.ICON.CO.ZA)

Version: 1.00

1996, John Stathakis

You may use this product freely, however, the source code and related documentation may not be changed in any way without the written permission of the author. Please note that the author will not accept responsibility for any loss resulting from the use of this or any other component. Any code you may receive may not be distributed in any form without written permission from the author.

Please contact me if you have any enquiries or bug reports.

Note: The author is currently available for employment. Please forward enquiries in this regard to the above e-mail address. Preferred destinations in the following order: Australia, United States, United Kingdom. Other destinations will be considered.


See Also

About TLookupDialog Property


DataSource Property

See Also

Declaration

property DataSource: TDataSource

Description

Defines the DataSource that is connected to the dataset that is updated when the user selects an item from the browser. See DataSource in the Delphi help for more details. The fields that are updated is defined by the Joins Property


See Also

Joins Property

LookupSource Property

LookUpField Property

DisplayField Property


Joins Property

See Also

Declaration

property Joins: TFieldDataLink

Description

This property indicates the relationship between the datasource selected for the LookupSource property and the dataset that is updated by the selection in the browser. In order to set this property, you first need to define fields for both datasets. To do this, right click your mouse over the table or query, then select Fields Editor. Next, select Add and then add the required fields. Be sure to include the fields that are part of the joins.


See Also

DataSource Property

Joins Property

LookupSource Property

LookUpField Property

DisplayField Property